Tradução de apoio para consulta. Código e identificadores técnicos preservados. Consultar referência original ↗
Consulte uma voz projetada
OpenAPI
openapi: 3.1.0
info:
title: CosyVoice Voice Design API — Query a voice
version: 1.0.0
servers:
- url: https://maas.qwencloudapi.com/api/v1
description: Singapore
security:
- BearerAuth: []
paths:
/services/audio/tts/customization:
post:
operationId: queryVoiceDesignCosyVoice
summary: Query a designed voice
description: Returns details about a specific CosyVoice designed voice, including its status, voice prompt, and preview text.
requestBody:
required: true
content:
application/json:
schema:
$ref: "#/components/schemas/QueryRequest"
responses:
"200":
description: Voice found
content:
application/json:
schema:
$ref: "#/components/schemas/QueryResponse"
x-codeSamples:
- lang: bash
label: cURL
source: |-
curl -X POST https://maas.qwencloudapi.com/api/v1/services/audio/tts/customization \
-H "Authorization: Bearer $DASHSCOPE_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model": "voice-enrollment",
"input": {
"action": "query_voice",
"voice_id": "cosyvoice-v3.5-plus-vd-announcer-xxxxxx"
}
}'
components:
schemas:
QueryRequest:
type: object
required:
- model
- input
properties:
model:
type: string
description: Fixed to `voice-enrollment`.
enum:
- voice-enrollment
example: voice-enrollment
input:
type: object
required:
- action
- voice_id
properties:
action:
type: string
description: Fixed to `query_voice`.
enum:
- query_voice
example: query_voice
voice_id:
type: string
description: The voice ID to query.
example: cosyvoice-v3.5-plus-vd-announcer-xxxxxx
QueryResponse:
type: object
properties:
output:
type: object
properties:
voice_id:
type: string
description: Voice ID.
example: cosyvoice-v3.5-plus-vd-announcer-xxxxxx
gmt_create:
type: string
description: Voice creation timestamp.
example: 2025-12-10 14:54:09
gmt_modified:
type: string
description: Last modification timestamp.
example: 2025-12-10 17:47:48
target_model:
type: string
description: Speech synthesis model bound to this voice.
example: cosyvoice-v3.5-plus
status:
type: string
description: "Voice status: `DEPLOYING` (under review), `OK` (approved, usable), or `UNDEPLOYED` (not approved)."
enum:
- DEPLOYING
- OK
- UNDEPLOYED
example: OK
voice_prompt:
type: string
description: Voice description text.
example: A composed middle-aged male announcer with a deep, rich voice
preview_text:
type: string
description: Preview text used when the voice was created.
example: Dear listeners, hello everyone
usage:
type: object
description: Usage info.
request_id:
type: string
description: Request ID for troubleshooting.
example: xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx
securitySchemes:
BearerAuth:
type: http
scheme: bearer
description: DashScope API key. Get one at [API key](/api-reference/preparation/api-key).